/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.qpid.protonj2.types.messaging;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertSame;

import org.apache.qpid.protonj2.types.transport.DeliveryState;
import org.junit.jupiter.api.Test;

public class AcceptedTypeTest {

    @Test
    public void testToString() {
        assertNotNull(Accepted.getInstance().toString());
    }

    @Test
    public void testSingleton() {
        assertSame(Accepted.getInstance(), Accepted.getInstance());
    }

    @Test
    public void testGetType() {
        assertEquals(DeliveryState.DeliveryStateType.Accepted, Accepted.getInstance().getType());
    }
}
